Loading...
Searching...
No Matches
Dune::Amg::GlobalAggregatesMap< T, TI > Struct Template Reference

`#include <dune/istl/paamg/globalaggregates.hh>`

Inheritance diagram for Dune::Amg::GlobalAggregatesMap< T, TI >:

## Classes

class | Proxy

## Public Types

typedef TI | ParallelIndexSet
typedef ParallelIndexSet::GlobalIndex | GlobalIndex
typedef ParallelIndexSet::GlobalIndex | IndexedType
typedef ParallelIndexSet::LocalIndex | LocalIndex
typedef T | Vertex

## Public Member Functions

| GlobalAggregatesMap (AggregatesMap< Vertex > &aggregates, const GlobalLookupIndexSet< ParallelIndexSet > &indexset)
const GlobalIndex & | operator[] (std::size_t index) const
GlobalIndex & | get (std::size_t index)
Proxy | operator[] (std::size_t index)
void | put (const GlobalIndex &global, size_t i)

## Member Typedef Documentation

## GlobalIndex

template<typename T, typename TI>

typedef ParallelIndexSet::GlobalIndex Dune::Amg::GlobalAggregatesMap< T, TI >::GlobalIndex

## IndexedType

template<typename T, typename TI>

typedef ParallelIndexSet::GlobalIndex Dune::Amg::GlobalAggregatesMap< T, TI >::IndexedType

## LocalIndex

template<typename T, typename TI>

typedef ParallelIndexSet::LocalIndex Dune::Amg::GlobalAggregatesMap< T, TI >::LocalIndex

## ParallelIndexSet

template<typename T, typename TI>

typedef TI Dune::Amg::GlobalAggregatesMap< T, TI >::ParallelIndexSet

## Vertex

template<typename T, typename TI>

typedef T Dune::Amg::GlobalAggregatesMap< T, TI >::Vertex

## Constructor & Destructor Documentation

## GlobalAggregatesMap()

template<typename T, typename TI>

Dune::Amg::GlobalAggregatesMap< T, TI >::GlobalAggregatesMap | ( | AggregatesMap< Vertex > & | aggregates,
|  | const GlobalLookupIndexSet< ParallelIndexSet > & | indexset )

inline

## Member Function Documentation

## get()

template<typename T, typename TI>

GlobalIndex & Dune::Amg::GlobalAggregatesMap< T, TI >::get | ( | std::size_t | index | ) |

inline

## operator[]() [1/2]

template<typename T, typename TI>

Proxy Dune::Amg::GlobalAggregatesMap< T, TI >::operator[] | ( | std::size_t | index | ) |

inline

## operator[]() [2/2]

template<typename T, typename TI>

const GlobalIndex & Dune::Amg::GlobalAggregatesMap< T, TI >::operator[] | ( | std::size_t | index | ) | const

inline

## put()

template<typename T, typename TI>

void Dune::Amg::GlobalAggregatesMap< T, TI >::put | ( | const GlobalIndex & | global,
|  | size_t | i )

inline

The documentation for this struct was generated from the following file:

- globalaggregates.hh